Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::SocketInfo Struct Reference

Information about listening socket. More...

`#include <SocketServer.h>`

List of all members.

## Public Member Functions

| SocketInfo ()
| SocketInfo (int socket, short port, bool noDelay, int sendBufSize, int rcvBufSize)

## Public Attributes

int | m_socket
short | m_port
bool | m_noDelay
int | m_sendBufSize
int | m_rcvBufSize

## Detailed Description

Information about listening socket.

Definition at line 38 of file SocketServer.h.

## Constructor & Destructor Documentation

FIX::SocketInfo::SocketInfo | ( |  | ) | `[inline]`

Definition at line 40 of file SocketServer.h.

    00041   : m_socket( -1 ), m_port( 0 ), m_noDelay( false ),
    00042     m_sendBufSize( 0 ), m_rcvBufSize( 0 ) {}

FIX::SocketInfo::SocketInfo | ( | int | socket,
|  | short | port,
|  | bool | noDelay,
|  | int | sendBufSize,
|  | int | rcvBufSize |
| ) |  |  | `[inline]`

Definition at line 44 of file SocketServer.h.

    00045   : m_socket( socket ), m_port( port ), m_noDelay( noDelay ),
    00046     m_sendBufSize( sendBufSize ), m_rcvBufSize( rcvBufSize ) {}

## Member Data Documentation

bool FIX::SocketInfo::m_noDelay

Definition at line 50 of file SocketServer.h.

Referenced by FIX::SocketServer::accept().

short FIX::SocketInfo::m_port

Definition at line 49 of file SocketServer.h.

int FIX::SocketInfo::m_rcvBufSize

Definition at line 52 of file SocketServer.h.

Referenced by FIX::SocketServer::accept().

int FIX::SocketInfo::m_sendBufSize

Definition at line 51 of file SocketServer.h.

Referenced by FIX::SocketServer::accept().

int FIX::SocketInfo::m_socket

Definition at line 48 of file SocketServer.h.

The documentation for this struct was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/SocketServer.h